tetsuwan blog

鉄ワン(@tetsuwan30)の気ままなダイアリー

彼女を動かしてみる

http://tech.kayac.com/archive/gae-jruby-twitter-bot.html
http://github.com/hokaccha/twitter-bot-kanojo

動いた!

ユーザー環境で動かない。。。

google-appengineを0.0.6にアップグレード。

sudo gem install google-appengine
Successfully installed appengine-rack-0.0.5
Successfully installed appengine-sdk-1.2.8
Successfully installed appengine-jruby-jars-0.0.6
Successfully installed appengine-tools-0.0.6
Successfully installed google-appengine-0.0.6

そしたら、ユーザー権限で動かなくなった。。
パーミッションとか疑ったけど、全然動かず。
出来心でrootで実行したら、動くし!

自分の環境のrubygemの設定なんだろうなあ。
勉強します。。

GoogleAppEngine + JRubyの環境作ったよ!

いきさつ

  • lolipop.jpでRuby + Sinatra で環境作りたい!
  • 挫折
  • GoogleAppEngine(GAE)でできるらしい!
  • まずはJRubyまで動かす!←いまここ

環境ができるまで

$ apt-get install sun-java6-jdk 
$ gem install google-appengine
$ mkdir hello
$ cd hello
$ vi config.ru
$ dev_appserver.rb --address=0.0.0.0 .
$ appcfg.rb update .

config.ru

require 'appengine-rack'
AppEngine::Rack.configure_app(
  :application => 'application-id', # Replace your application id.
  :version => 1                     # Replace your application version.
)
run lambda { Rack::Response.new('Hello world!') }

GAE/JRuby動いた! やべええ超たのしい!